DO
$$
    DECLARE
        _path varchar(256) := 'patch-2025_11_27-UserEmails_EmailOrigin';
    BEGIN
        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
            RETURN;
        END IF;

        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Build" >= 15724) THEN
            RETURN;
        END IF;

        BEGIN
            ALTER TABLE public."UserEmails" ADD COLUMN "EmailOrigin" INT DEFAULT 0 NOT NULL;

        EXCEPTION
            WHEN OTHERS THEN
                RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
        END;
    END;
$$;
